package com.mogo.cloud.live.listener;

import im.zego.zegoexpress.constants.ZegoPlayerState;

/**
 * 直播拉流状态监听
 */
public interface ILivePullStateListener {
    /**
     * 第一帧渲染
     */
    void onVideoFirstFrame();

    /**
     * 拉流播放状态
     *
     * @param statusCode 0-没播放，1-请求中，2-播放中
     * @see ZegoPlayerState
     */
    void onPlayerStateUpdate(int statusCode);

    /**
     * 设备错误
     */
    void onDeviceError(int errorCode);
}
